net.sf.statcvs.util

## Class FilePatternMatcher

- java.lang.Object
- - net.sf.statcvs.util.FilePatternMatcher

-     public class FilePatternMatcher
      extends java.lang.Object

  Matches filenames against an Ant-style wildcard pattern list.

  In short, ? matches one character, * matches zero or more characters but no directory changes (it doesn't match / or \), and ** matches zero or more directory levels. If the wildcard pattern ends in / or \, an implicit ** is added.

  Several patterns can be specified, seperated by : or ;.

  Everything is case sensitive. If you need case insensitive pattern matching, use `String.toLower()` on the pattern and on the candidate string.

  Version:
    $Id: FilePatternMatcher.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
  Author:
    Richard Cyganiak

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilePatternMatcher(java.lang.String wildcardPattern)` Creates a matcher to match filenames against a specified wildcard pattern

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.String filename)` Matches a filename against the wildcard pattern.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FilePatternMatcher

          public FilePatternMatcher(java.lang.String wildcardPattern)

      Creates a matcher to match filenames against a specified wildcard pattern
      Parameters:
        `wildcardPattern` - an Ant-style wildcard pattern

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.String filename)

      Matches a filename against the wildcard pattern.
      Parameters:
        `filename` - a filename
      Returns:
        `true` if the filename matches the pattern

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`